Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.eviware.soapui.impl.wsdl.teststeps.assertions
Enum WsdlAssertionRegistry.AssertionType

    java.lang.Object
      java.lang.Enum<WsdlAssertionRegistry.AssertionType>
          com.eviware.soapui.impl.wsdl.teststeps.assertions.WsdlAssertionRegistry.AssertionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WsdlAssertionRegistry.AssertionType>

Enclosing class:
  WsdlAssertionRegistry

    public static enum WsdlAssertionRegistry.AssertionType

extends java.lang.Enum<WsdlAssertionRegistry.AssertionType>

Enum Constant Summary
`BOTH`
`REQUEST`
`RESPONSE`

Method Summary
`static WsdlAssertionRegistry.AssertionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WsdlAssertionRegistry.AssertionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REQUEST

    public static final WsdlAssertionRegistry.AssertionType REQUEST

### RESPONSE

    public static final WsdlAssertionRegistry.AssertionType RESPONSE

### BOTH

    public static final WsdlAssertionRegistry.AssertionType BOTH

Method Detail

### values

    public static final WsdlAssertionRegistry.AssertionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(WsdlAssertionRegistry.AssertionType c : WsdlAssertionRegistry.AssertionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static WsdlAssertionRegistry.AssertionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.